<?php

Goweb::loadClass('Goweb_Admin');
Goweb::loadClass('Goweb_Admin_Section');

/**
 * Goweb Sitemanager 5 Framework
 * @version    5.0.0
 * @category   Frontoffice
 * @package    Utilizadores
 * @subpackage Admin
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2009 (c) Goweb (http://www.goweb.pt)
 *
 * As classes _Admin sao responsaveis pela criacao automarica do backoffice.
 *
 */
class Utilizadores_Admin extends Goweb_Admin {

    /**
     * Definicao para a montagem dinamica do back-office.
     */
    public function _setup() {
        $this->_title = translate('Utilizadores');

        $utilizadoresSection = new Goweb_Admin_Section();
        $utilizadoresSection->setModel(Goweb::getModelInstance('Utilizadores_Model_Utilizador', 'db'));
        $utilizadoresSection->setTitle(translate('Utilizadores'));
        $utilizadoresSection->setTitleSingular(translate('Utilizadores'));
        $utilizadoresSection->setListCols(array('nome', 'email', 'activo', 'actualizado'));
        $utilizadoresSection->setOrdering(array('nome', 'email'));
        $utilizadoresSection->setSearchCols(array('nome','email'));
        $this->_addSection('utilizadores', $utilizadoresSection);
         
        $perfisSection = new Goweb_Admin_Section();
        $perfisSection->setModel(Goweb::getModelInstance('Utilizadores_Model_Perfil', 'db'));
        $perfisSection->setTitle(translate('Perfis'));
        $perfisSection->setTitleSingular(translate('Perfil'));
        $perfisSection->setListCols(array('id', 'nome', 'activo', 'actualizado'));
        $perfisSection->setOrdering('nome');
        $perfisSection->setSearchCols('nome');
        $this->_addSection('perfis', $perfisSection);
         
        $paisSection = new Goweb_Admin_Section();
        $paisSection->setModel(Goweb::getModelInstance('Utilizadores_Model_Pais', 'db'));
        $paisSection->setTitle(translate('Paises'));
        $paisSection->setTitleSingular(translate('Pais'));
        $paisSection->setListCols(array('id', 'nome'));
        $paisSection->setOrdering('nome');
        $paisSection->setSearchCols('nome');
        $this->_addSection('pais', $paisSection);
    }
}